// Copyright F3 Authors
// SPDX-License-Identifier: MIT

package forgejo

import (
	forgejo_options "code.forgejo.org/f3/gof3/v3/forges/forgejo/options"
	"code.forgejo.org/f3/gof3/v3/options"
	f3_tree "code.forgejo.org/f3/gof3/v3/tree/f3"
)

func init() {
	f3_tree.RegisterForgeFactory(forgejo_options.Name, newTreeDriver)
	options.RegisterFactory(forgejo_options.Name, newOptions)

	f3_tree.RegisterForgeFactory(forgejo_options.NameAliasGitea, newTreeDriver)
	options.RegisterFactory(forgejo_options.NameAliasGitea, newOptions)
}
